DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# Imaginary

Arithmetic function

## SYNOPSIS

`#include "dip_math.h"`

dip_Error dip_Imaginary ( in, out )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

Computes the imaginary part of the input image values, and outputs a float typed image.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output

## SEE ALSO

`Modulus`, `Phase`, `Real`

DIPlib on-line documentation | Function reference | Global function index